<template>
    <div>
        <ConsultantList
            :agents="pageList"
        ></ConsultantList>

        <UiPagination
            :totalList="contactedList"
            @changePage="changePage"
        ></UiPagination>
    </div>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'nuxt-property-decorator' ;
import { Consultants } from '~/assets/ts/api/consultant';

@Component
export default class ContactedList extends Vue {
    @Prop() contactedList!: Consultants[];
    pageList: Consultants[] = [];

    changePage(pageList: Consultants[]) {
        this.pageList = pageList;
    }
}
</script>